Safari 6 not showing up on NetSUS appliance

andyinindy
Contributor II

Anybody else missing the latest Safari on their NetSUS? I have all of the other updates from yesterday, just not Safari...

1 ACCEPTED SOLUTION

andyinindy
Contributor II

Figured this out.

The version of Reposado that ships with the NetSUS is out of date, and does not include the ability to serve 10.8 updates via the "index-mountainlion-lion-snowleopard-leopard.merged-1.sucatalog". I downloaded the latest reposado tools (c26918c) and replaced the ones on the NetSUS, and all updates are now appearing as expected (after a repo_sync --recheck).

More here:

https://groups.google.com/forum/#!searchin/reposado/mountain$20lion/reposado/hzuySba4QAE/a3cgdYFBK0g...

View solution in original post

12 REPLIES 12

jarednichols
Honored Contributor

Shows up in mine, along with the other updates from yesterday.

mm2270
Legendary Contributor II

It shows up there for me as well. I haven't enabled it yet so I don't know if clients will see it, but it shows up in the list.

andyinindy
Contributor II

Well, crap.

I have tried manually synchronizing several times, and it still doesn't appear.

I wonder why this is an issue for me and not others?

Also, I wonder if it is possible to manually insert an update into the database on the NetSUS server...?

sirkyle
New Contributor III

We are experiencing the same issue. Safari 6 appears to have downloaded but it is not available to clients. Also, ARD Client update will not download.

GabeShack
Valued Contributor III

Errors on ARD Client 3.6 but Safari 6 not showing at all.

Gabe Shackney
Princeton Public Schools

Andrina
Contributor

I've got it visible on my SUS server, but clients aren't seeing it. The ARD Admin 3.6 did show up today on the client, initial downloads were slow and errored out. Rebooted the virtual machine and ARD Admin came down and installed without issue. Safari 6 still doesn't show though...

rockpapergoat
Contributor III

there's no database. it's just plists and catalogs.

you can try a repo_sync --recheck to update already downloaded payloads.

GabeShack
Valued Contributor III

Still not showing the new Safari. I have rebooted but continue to get this error on the ARD download:

<Error>: ** Reason: file download path cannot be reached / does not exist.
<Error>: *
* The suspect product file will not be downloaded.
swupd_syncd[10109] <Error>: ** Product file URL contains possible security violation.
swupd_syncd[10109] <Error>: *
* Product ID: "041-5433"; file URL: "http://swcdn.apple.com/content/downloads/31/58/041-5433/xt9k9paj5zu8rx258rdccohk236ee77clh/RemoteDesktopClient.dst/041-5433.ar.dist"

Gabe Shackney
Princeton Public Schools

Andrina
Contributor

If clients aren't seeing it, check your catalog file - pointing the client to http://servername:port/content/catalogs/others/index-leopard-snowleopard.merged-1_test.sucatalog worked for bringing down Safari 6 here where our branch is called "test".

andyinindy
Contributor II

I rebooted and ran a 'repo_sync --recheck', and still do not see Safari 6.

Interestingly, the repo_sync command appears to pull the sucatalog from Apple:

299 products found in http://swscan.apple.com/content/catalogs/index.sucatalog

I downloaded & checked that catalog, and it does not contain any references to 041-5058 (Safari 6). Is it possible that my netSUS server is pointed at the wrong catalog file? If so, how would I go about correcting this?

--Andy

andyinindy
Contributor II

Figured this out.

The version of Reposado that ships with the NetSUS is out of date, and does not include the ability to serve 10.8 updates via the "index-mountainlion-lion-snowleopard-leopard.merged-1.sucatalog". I downloaded the latest reposado tools (c26918c) and replaced the ones on the NetSUS, and all updates are now appearing as expected (after a repo_sync --recheck).

More here:

https://groups.google.com/forum/#!searchin/reposado/mountain$20lion/reposado/hzuySba4QAE/a3cgdYFBK0g...

GabeShack
Valued Contributor III

I had this same issue and found that when I searched the sus for Safari only 5.0.6 came up. So after looking at this version I used the choose version button at the bottom and selected 6 and all was fine.

Gabe Shackney
Instructional Technology Specialist
Princeton Public Schools

Gabe Shackney
Princeton Public Schools